summaryrefslogtreecommitdiff
path: root/tests/ls/getxattr-speedup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ls/getxattr-speedup.sh')
-rwxr-xr-xtests/ls/getxattr-speedup.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/ls/getxattr-speedup.sh b/tests/ls/getxattr-speedup.sh
index 0144571e..be43c50e 100755
--- a/tests/ls/getxattr-speedup.sh
+++ b/tests/ls/getxattr-speedup.sh
@@ -4,7 +4,7 @@
# This test is skipped on systems that lack LD_PRELOAD support; that's fine.
# Similarly, on a system that lacks getxattr altogether, skipping it is fine.
-# Copyright (C) 2012-2014 Free Software Foundation, Inc.
+# Copyright (C) 2012-2015 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -55,7 +55,7 @@ gcc_shared_ k.c k.so \
seq 20 | xargs touch || framework_failure_
# Finally, run the test:
-LD_PRELOAD=./k.so ls --color=always -l . || fail=1
+LD_PRELOAD=$LD_PRELOAD:./k.so ls --color=always -l . || fail=1
test -f x || skip_ "internal test failure: maybe LD_PRELOAD doesn't work?"